# Millelibri

![Logo Millelibri](frontend/src/assets/logo/logo_256px.png?raw=true)

Un motore di ricerca libri basato su protocollo IPFS.

Una versione funzionante si trova [qui](https://millelibri.lamacchinadesiderante.org).

Il progetto è partito come un fork di [Book Searcher](https://github.com/book-searcher-org/book-searcher).

L'obiettivo è trasformarlo in una piattaforma partecipativa: gli utenti avranno la possibilità di richiedere l'aggiunta di libri, oltre a fare ricerche.

## Installazione rapida

E' possibile buildare il progetto via Docker. Occorre avere prima installato e configurato sia Docker che il tool `docker-compose`.

Occorre clonare il repo e il file contenente gli indici dei libri:

```
git clone https://git.lamacchinadesiderante.org/lamacchinadesiderante/millelibri && cd millelibri
wget https://link.storjshare.io/juobea2obv6nadmij22tidrenlfa/millelibri%2Findex%2Frust%2Findex_0.6.zip?download=1 && unzip index_0.6.zip
docker-compose up -d
```

Il progetto sarà attivo all'indirizzo `localhost:7070`.

## Sviluppo frontend

Per modificare la parte frontend (React) del progetto, posizionarsi nella cartella `frontend` e lanciare i comandi:

```
npm install
npm run build
npm run dev
```

## Licenza

Book Searcher è rilasciato sotto licenza [BSD-3-Clause](https://github.com/book-searcher-org/book-searcher/blob/master/LICENSE). Millelibri eredita la licenza da Book Searcher.